const fetch = require("node-fetch");
const MD5 = require('md5.js');

function md5(message:string){
    return new MD5().update(message).digest('hex')
}

export  default  async function baiduTranslate(q:string,to:string){
    let salt=Math.round(Math.random()*new Date().getTime())
    let sign=md5(process.env.REACT_APP_BAIDU_APP_ID+q+salt+process.env.REACT_APP_BAIDU_SECRET_KEY)
    return fetch.default(`http://api.fanyi.baidu.com/api/trans/vip/translate?q=${q}&from=auto&to=${to}&appid=${process.env.REACT_APP_BAIDU_APP_ID}&salt=${salt}&sign=${sign}`)
}